const { body } = require('express-validator');
const { validation, memberAuth } = require('../../middlewares');
const { createTicket } = require('../../controllers/super-admin/world-con-tickets');
const { getTickets } = require('../../controllers/super-admin/tickets');

const router = require('express').Router();

router.get('/', getTickets);
router.post('/', [body('ticketNo').notEmpty(), validation], memberAuth, createTicket);

module.exports = router;
